//
//  RxViewController.h
//  RxBrowser
//
//  Created by Ranorex Ranorex on 7/27/12.
//  Copyright (c) 2012 Ranorex. All rights reserved.
//

#import <UIKit/UIKit.h>

@interface RxViewController : UIViewController<UITextFieldDelegate, UIWebViewDelegate>
{
    
    UIBarButtonItem*                    _backButton;
    UIBarButtonItem*                    _forwardButton;
    UIBarButtonItem*                    _refreshButton;
    UITextField*                        _webAddress;
    UIWebView*                          _webView;
    UIBarButtonItem*                    _goButton;
    UIBarButtonItem*                    _debugButton;
    UIActivityIndicatorView* _loadingIndicator;
    UITextView* _errorTextView;
}


@property (nonatomic, retain) IBOutlet UIBarButtonItem*         backButton;
@property (nonatomic, retain) IBOutlet UIBarButtonItem*         forwardButton;
@property (nonatomic, retain) IBOutlet UIBarButtonItem*         refreshButton;
@property (nonatomic, retain) IBOutlet UITextField*             webAddress;
@property (nonatomic, retain) IBOutlet UIWebView*               webView;
@property (nonatomic, retain) IBOutlet UIBarButtonItem*         goButton;
@property (nonatomic, retain) IBOutlet UIBarButtonItem*         debugButton;
@property (nonatomic, retain) IBOutlet UIActivityIndicatorView* loadingIndicator;
@property (nonatomic, retain) IBOutlet UITextView* errorTextView;

-(IBAction)onBack:(id)sender;
-(IBAction)onForward:(id)sender;
-(IBAction)onRefresh:(id)sender;
-(IBAction)onGo:(id)sender;
-(IBAction)onWebAddressChanged:(id)sender;
-(IBAction)onDebug:(id)sender;

@end
